TikTok Shop

Active, new, returning, retained and churned affiliate creators per week or month

GET/api/public/v1/tik_tok_shop/affiliate/creator_activity
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getTikTokShopCreatorActivity

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/affiliate/creator_activity?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
start_datequerystringrequired
end_datequerystringrequired
granularityquerystringOne of weekmonth Default week
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
currencystring, nullable
granularitystring, nullable
historyFromstring, nullable
notestring, nullable
periodsarray of object, nullable
periods[].[].activeobject, nullable
periods[].[].active.creatorsnumber, nullable
periods[].[].active.gmvGrossnumber, nullable
periods[].[].active.ordersnumber, nullable
periods[].[].churnedobject, nullable
periods[].[].churned.creatorsnumber, nullable
periods[].[].churned.gmvGrossnumber, nullable
periods[].[].churned.ordersnumber, nullable
periods[].[].fromstring, nullable
periods[].[].newobject, nullable
periods[].[].new.creatorsnumber, nullable
periods[].[].new.gmvGrossnumber, nullable
periods[].[].new.ordersnumber, nullable
periods[].[].partialboolean, nullable
periods[].[].periodstring, nullable
periods[].[].retainedobject, nullable
periods[].[].retained.creatorsnumber, nullable
periods[].[].retained.gmvGrossnumber, nullable
periods[].[].retained.ordersnumber, nullable
periods[].[].returningobject, nullable
periods[].[].returning.creatorsnumber, nullable
periods[].[].returning.gmvGrossnumber, nullable
periods[].[].returning.ordersnumber, nullable
periods[].[].tostring, nullable
sourcestring, nullable
sweptThroughstring, nullable
timezonestring, nullable
windowobject, nullable
window.endDatestring, nullable
window.startDatestring, nullable

Example

{
  "currency": "usd",
  "granularity": "string",
  "historyFrom": "string",
  "note": "string",
  "periods": [
    {
      "active": {
        "creators": 125.5,
        "gmvGross": 125.5,
        "orders": 125.5
      },
      "churned": {
        "creators": 125.5,
        "gmvGross": 125.5,
        "orders": 125.5
      },
      "from": "string",
      "new": {
        "creators": 125.5,
        "gmvGross": 125.5,
        "orders": 125.5
      },
      "partial": true,
      "period": "string",
      "retained": {
        "creators": 125.5,
        "gmvGross": 125.5,
        "orders": 125.5
      },
      "returning": {
        "creators": 125.5,
        "gmvGross": 125.5,
        "orders": 125.5
      },
      "to": "string"
    }
  ],
  "source": "string",
  "sweptThrough": "string",
  "timezone": "string",
  "window": {
    "endDate": "string",
    "startDate": "string"
  }
}

Errors: 400401404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.